Cannoli_2.12: Core 0.14.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliFn
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- LongMinimap2
- LongUnimap
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndMinimap2
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli

# UnimapArgs 

###

#### class UnimapArgs extends ReadGroupArgs

Unimap function arguments.

Linear Supertypes
ReadGroupArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. UnimapArgs
2. ReadGroupArgs
3. Args4jBase
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new UnimapArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  def createReadGroup(): ReadGroup

   Create a read group from the arguments in this class.

   Create a read group from the arguments in this class.

   returns

     a read group created from the arguments in this class.

   Definition Classes
     ReadGroupArgs
8.  var doPrintUsage: Boolean
   Definition Classes
     Args4jBase
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  var executable: String
12.  var flowOrder: String
    Definition Classes
      ReadGroupArgs
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  var image: String
16.  var indexPath: String
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  var keySequence: String
    Definition Classes
      ReadGroupArgs
19.  var library: String
    Definition Classes
      ReadGroupArgs
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  var platform: String
    Definition Classes
      ReadGroupArgs
24.  var platformModel: String
    Definition Classes
      ReadGroupArgs
25.  var platformUnit: String
    Definition Classes
      ReadGroupArgs
26.  var predictedMedianInsertSize: Integer
    Definition Classes
      ReadGroupArgs
27.  var preset: String
28.  var readGroup: ReadGroup

    Read group, to specify directly.

    Read group, to specify directly.

    Definition Classes
      ReadGroupArgs
29.  var readGroupId: String
    Definition Classes
      ReadGroupArgs
30.  var runDate: Long
    Definition Classes
      ReadGroupArgs
31.  var sampleId: String
    Definition Classes
      ReadGroupArgs
32.  var seed: Integer
33.  var sequencingCenter: String
    Definition Classes
      ReadGroupArgs
34.  var sudo: Boolean
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  var unimapArgs: String
38.  var useDocker: Boolean
39.  var useSingularity: Boolean
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from ReadGroupArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped